Libosmium 2.22.0 Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Public Member Functions | List of all members
osmium::object_order_type_id_version_without_timestamp Struct Reference

`#include <object_comparisons.hpp>`

## Public Member Functions
bool | operator() (const osmium::OSMObject &lhs, const osmium::OSMObject &rhs) const noexcept
bool | operator() (const osmium::OSMObject *lhs, const osmium::OSMObject *rhs) const noexcept

## Detailed Description

Function object class for ordering OSM objects by type, id, and version.

The naming is a bit awkward here, but necessary to keep backwards compatibility with object_order_type_id_version.

## Member Function Documentation

## ◆ operator()() [1/2]

bool osmium::object_order_type_id_version_without_timestamp::operator() | ( | const osmium::OSMObject & | lhs,
|  | const osmium::OSMObject & | rhs ) const
| inline noexcept

## ◆ operator()() [2/2]

bool osmium::object_order_type_id_version_without_timestamp::operator() | ( | const osmium::OSMObject * | lhs,
|  | const osmium::OSMObject * | rhs ) const
| inline noexcept

Precondition
  lhs and rhs must not be nullptr

The documentation for this struct was generated from the following file:

- include/osmium/osm/object_comparisons.hpp